/*
 *
 *  KBluetooth4 - KDE Bluetooth Framework
 *
 *  Copyright (C) 2008  Tom Patzig <tpatzig@suse.de>
 *
 *  This file is part of kbluetooth4.
 *
 *  kbluetooth4 is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  kbluetooth4 is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with kbluetooth4; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
*/

#include "confirmdialog.h"

ConfirmDialog::ConfirmDialog(QObject* parent) : Ui_ConfirmDialog()
{
	m_parent = parent;

	setupUi(this);
	setWindowIcon(KIcon("kbluetooth4"));
	iconLabel->setPixmap(KIcon("kbluetooth4").pixmap(32,32));
	connect(yesButton,SIGNAL(clicked()),this,SLOT(slotYesButton()));
	connect(noButton,SIGNAL(clicked()),this,SLOT(slotNoButton()));

}

ConfirmDialog::~ConfirmDialog()
{


}

void ConfirmDialog::setAddr(QString addr)
{
	addressLabel->setText(addr);
}

void ConfirmDialog::setName(QString name)
{
	nameLabel->setText(name);
}

void ConfirmDialog::setMode(QString mode)
{
	titleLabel->setText("Switch Bluetooth Adapter?");
	confirmLabel->setText("Mode: ");
	valueLabel->setText(mode);
}

void ConfirmDialog::setPassKey(QString passkey)
{
	titleLabel->setText("Confirm passkey?");
	confirmLabel->setText("PassKey: ");
	valueLabel->setText(passkey);
}

void ConfirmDialog::slotYesButton()
{
	done(1);
}

void ConfirmDialog::slotNoButton()
{
	done(0);
}
