#ifndef OBEXSERVERSESSIONFILETRANSFER_H
#define OBEXSERVERSESSIONFILETRANSFER_H

#include <KJob>

class ObexServerSession;
class QDBusInterface;

class ObexServerSessionFileTransfer : public KJob
{
Q_OBJECT
public:
	ObexServerSessionFileTransfer(ObexServerSession*, QDBusInterface*, const QString&, const QString&, qulonglong);
	~ObexServerSessionFileTransfer();

	void start();
	void reject();
	QString fileName();
	QString localPath();
	qulonglong fileSize();

protected:
	bool doKill();

private slots:
	void receiveFiles();
	void slotTransferProgress(qulonglong);
	void slotTransferCompleted();
	void slotErrorOccured(const QString&, const QString&);

private:
	ObexServerSession* m_serverSession;
	QDBusInterface* m_dbusSession;
	QString m_fileName;
	QString m_localPath;
	qulonglong m_totalFileSize;
	
};

#endif // OBEXSERVERSESSIONFILETRANSFER_H
