#ifndef OBEXSESSIONFILETRANSFER_H
#define OBEXSESSIONFILETRANSFER_H

#include <KJob>

class ObexSession;
class QDBusInterface;

class ObexSessionFileTransfer : public KJob
{
Q_OBJECT
public:
	ObexSessionFileTransfer(ObexSession*, QDBusInterface*, const QString&);
	~ObexSessionFileTransfer();

	void start();

protected:
	bool doKill();

private slots:
	void sendFile();
	void slotTransferStarted(const QString&, const QString&, qulonglong);
	void slotTransferProgress(qulonglong transferred);
	void slotTransferCompleted();

private:
	ObexSession* m_obexSession;
	QDBusInterface* m_dbusSession;
	QString m_localPath;
	qulonglong m_totalFileSize;
};

#endif // OBEXSESSIONFILETRANSFER_H
